import { UserRoles, userTypes } from "@prisma/client";

export type IUserCreate = {
  email: string;
  password: string;
  firstName: string;
  lastName: string;
  role: UserRoles;
  userType: userTypes;
};

export type IUserProfileResponse = {
  firstName: string;
  lastName: string;
  profileImage: string;
  phoneNumber: string;
  createdAt: Date;
  updatedAt: Date;
};

export type IUserResponse = {
  userId: string;
  email: string;
  createdAt: Date;
  updatedAt: Date;
  profile: IUserProfileResponse;
};

export type IUserLogin = {
  email: string;
  password: string;
};
export type ILoginUserResponse = {
  accessToken: string;
  refreshToken: string;
};
export type IRefreshTokenResponse = {
  accessToken: string;
};
