/* eslint-disable no-useless-escape */
import { z } from "zod";

const createUser = z.object({
  body: z.object({
    email: z.string().email({ message: "Invalid email address" }),
    password: z.string().min(1, { message: "Password is required" }),
    firstName: z.string().min(1, { message: "First name is required" }),
    lastName: z.string().min(1, { message: "Last name is required" }),
    role: z.enum(["USER", "SUPER_ADMIN"]).or(z.string().refine((value) => ["USER", "SUPER_ADMIN"].includes(value))),
    userType: z
      .enum(["EVENT_PLANNERS", "PRESS_ACCESS", "EXTERNAL_USER"])
      .or(z.string().refine((value) => ["EVENT_PLANNERS", "PRESS_ACCESS", "EXTERNAL_USER"].includes(value))),
  }),
});

export const AuthValidation = {
  createUser,
};
