import { z } from "zod";

const addSubCategory = z.object({
  subCategoryName: z.string().nonempty({ message: "Category name is required" }),
  categoryId: z.string().nonempty({ message: "Category Id is required" }),
});

const editSubCategory = z.object({
  subCategoryName: z.string().optional(),
  categoryId: z.string().optional(),
});

export const SubCategoryValidation = {
  addSubCategory,
  editSubCategory,
};
