/* eslint-disable @typescript-eslint/no-explicit-any */
import { Profile, UserRoles, UserStatus } from "@prisma/client";

export type IRequestUser = {
  role: UserRoles;
  userId: string;
  profileId: string;
  iat: number;
  exp: number;
};

export type IUserFilterRequest = {
  searchTerm?: string | undefined;
};

export type IUpdateUserRequest = {
  email?: string | undefined;
  userStatus?: UserStatus | undefined;
  password?: string | undefined;
  role?: UserRoles | undefined;
  firstName?: string | undefined;
  lastName?: string | undefined;
};

export type UserProfile = {
  profileId: string;
  firstName: string;
  lastName: string;
  phoneNumber: string;
  profileImage: string | null;
  createdAt: Date;
  updatedAt: Date;
};

export type IUsersResponse = {
  userId: string;
  email: string;
  createdAt: Date;
  updatedAt: Date;
  profile: Profile | null;
  // userStatus: UserStatus;
};

export type IUpdateProfileReqAndResponse = {
  firstName?: string;
  lastName?: string;
  email?: string;
  password?: string;
  phoneNumber?: string;
};

export type IUserUpdateReqAndResponse = {
  fullName?: string;
  email?: string;
  password?: string;
  role?: UserRoles;
};
